### Name: evolMonteCarloClustering
### Title: evolutionary Monte Carlo clustering algorithm
### Aliases: evolMonteCarloClustering
### Keywords: methods

### ** Examples

## Not run: 
##D ## The following example is a simple stochastic optimization problem,
##D ## the set up is same as that of findMaxTemper and placeTempers. Here
##D ## no "heating up" is necessary, and hence the maximum temprature is
##D ## the coldest one, namely, 0.5.
##D ##
##D ## However, we run evolMonteCarloClustering on this example with a
##D ## temperature ladder that is the output of placeTempers, which
##D ## assumes that the maximum temperature is 5.
##D KMeansObj  <- KMeansFuncGenerator1(-97531)
##D samplerObj <-
##D     with(KMeansObj,
##D      {
##D          temperLadder    <- c(5.0000000, 1.5593974, 1.1028349, 0.9220684,
##D                               0.7900778, 0.6496648, 0.5135825, 0.5000000)
##D          nLevels         <- length(temperLadder)
##D          sampDim         <- nrow(yy)
##D          startingVals    <- sample(c(0, 1),
##D                                    size    = nLevels * sampDim,
##D                                    replace = TRUE)
##D          startingVals    <- matrix(startingVals, nrow = nLevels, ncol = sampDim)
##D          moveProbsList   <- list(MH             = 0.4,
##D                                  RC             = 0.3,
##D                                  'SCSC_TWO_NEW' = 0.3)
##D          mm              <- floor(nLevels / 2)
##D          moveNTimesList  <- list(MH             = 1,
##D                                  RC             = mm,
##D                                  'SCSC_TWO_NEW' = mm,
##D                                  RE             = nLevels)
##D          evolMonteCarloClustering(nIters            = 5000,
##D                                   temperLadder      = temperLadder,
##D                                   startingVals      = startingVals,
##D                                   logTarDensFunc    = logTarDensFunc,
##D                                   moveProbsList     = moveProbsList,
##D                                   moveNTimesList    = moveNTimesList,
##D                                   levelsSaveSampFor = seq_len(nLevels),
##D                                   saveFitness       = TRUE,
##D                                   verboseLevel      = 1)
##D      })
##D print(samplerObj)
##D print(names(samplerObj))
##D with(c(samplerObj, KMeansObj),
##D  {
##D      print(acceptRatios)
##D      print(acceptRatiosList)
##D      print(detailedAcceptRatios)
##D      print(dim(draws))
##D      fitnessCol <- ncol(draws[ , , 1])     
##D      sub        <- paste('uniform prior on # of clusters: DU[',
##D                          priorMinClusters, ', ',
##D                          priorMaxClusters, ']', sep = '')
##D      for (ii in rev(seq_along(levelsSaveSampFor))) {
##D          main <- paste('EMCC (MAP) clustering (temper = ',
##D                        round(temperLadder[levelsSaveSampFor[ii]], 3), ')',
##D                        sep = '')
##D          MAPRow <- which.min(draws[ , fitnessCol, ii])
##D          clusterPlot(clusterInd        = draws[MAPRow, -fitnessCol, ii],
##D                      data              = yy,
##D                      main              = main,
##D                      sub               = sub,
##D                      knownClusterMeans = knownClusterMeans)
##D      }
##D  })
## End(Not run)



