### Name: placeTempers
### Title: Place the intermediate temperatures between the temperature
###   limits
### Aliases: placeTempers
### Keywords: methods

### ** Examples

## Not run: 
##D ## The following example is a simple stochastic optimization problem,
##D ## the set up is same as that of findMaxTemper. Here no "heating up"
##D ## is necessary, and hence the maximum temprature is the coldest one,
##D ## namely, 0.5.
##D ##
##D ## However, we do the temperature placement to show how placeTempers
##D ## works, assuming the maximum temperature is 5.
##D KMeansObj       <- KMeansFuncGenerator1(-97531)
##D placeTempersObj <-
##D     with(KMeansObj,
##D      {
##D          nLevels      <- 15
##D          sampDim      <- nrow(yy)
##D          startingVals <- sample(c(0, 1),
##D                                 size    = nLevels * sampDim,
##D                                 replace = TRUE)
##D          startingVals <- matrix(startingVals, nrow = nLevels, ncol = sampDim)
##D          placeTempers(nIters            = 5000,
##D                       acceptRatioLimits = c(0.5, 0.6),
##D                       ladderLenMax      = 50,
##D                       startingVals      = startingVals,
##D                       logTarDensFunc    = logTarDensFunc,
##D                       temperLimits      = c(0.5, 5),
##D                       ladderLen         = nLevels,
##D                       scheme            = 'geometric',
##D                       levelsSaveSampFor = seq_len(nLevels),
##D                       saveFitness       = TRUE,
##D                       verboseLevel      = 1)
##D      })
##D print(placeTempersObj)
##D print(names(placeTempersObj))
##D with(c(placeTempersObj, KMeansObj),
##D  {
##D      fitnessCol <- ncol(draws[ , , 1])     
##D      sub        <- paste('uniform prior on # of clusters: DU[',
##D                          priorMinClusters, ', ',
##D                          priorMaxClusters, ']', sep = '')
##D      for (ii in rev(seq_along(levelsSaveSampFor))) {
##D          main <- paste('EMCC (MAP) clustering (temper = ',
##D                        round(temperLadder[levelsSaveSampFor[ii]], 3), ')',
##D                        sep = '')
##D          MAPRow <- which.min(draws[ , fitnessCol, ii])
##D          clusterPlot(clusterInd        = draws[MAPRow, -fitnessCol, ii],
##D                      data              = yy,
##D                      main              = main,
##D                      sub               = sub,
##D                      knownClusterMeans = knownClusterMeans)
##D      }
##D  })
## End(Not run)



